import { ref, watch, reactive } from 'vue';

/**
 * 判断是否加载下一页的hooks
 */
const usePagination = () => {
  const meta = ref<any>({
    current_page: 0,
    per_page: 10,
    total: 0,
  });

  const tablePageOptions: any = reactive({
    current: meta.value.current_page,
    pageSize: meta.value.per_page,
    total: meta.value.total,
    showTotal: true,
    showJumper: true,
  });

  watch(
    () => meta.value,
    () => {
      tablePageOptions.current = meta.value.current_page;
      tablePageOptions.pageSize = meta.value.per_page;
      tablePageOptions.total = meta.value.total;
    }
  );

  return { meta, tablePageOptions };
};

export default usePagination;
