import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const HOME: AppRouteRecordRaw = {
  path: '/bookmanagement',
  name: 'bookmanagement',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.bookmanagement',
    requiresAuth: false,
    hideInMenu: true,
    icon: 'icon-stamp',
    order: 0,
    roles: ['*'],
  },
  children: [
    {
      path: 'booklist',
      name: 'booklist',
      component: () => import('@/views/bookmanagement/booklist/index.vue'),
      meta: {
        locale: 'menu.bookmanagement.booklist',
        requiresAuth: false,
        hideInMenu: true,
        roles: ['*'],
      },
    },
  ],
};

export default HOME;
