import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const HOME: AppRouteRecordRaw = {
  path: '/settle',
  name: 'Settle',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.financial',
    requiresAuth: false,
    icon: 'icon-stamp',
    order: 1,
    roles: ['*'],
  },
  children: [
    {
      path: 'remit',
      name: 'Remit',
      redirect: '/settle/remit/total',
      component: () => import('@/views/financial/remit/index.vue'),
      meta: {
        locale: 'menu.financial.remit',
        requiresAuth: false,
        roles: ['*'],
        hideInMenu: false,
        activeMenu: 'Remit',
      },
      children: [
        {
          path: 'daily',
          name: 'DataDaily',
          component: () => import('@/views/financial/remit/daily.vue'),
          meta: {
            locale: 'menu.financial.daily',
            requiresAuth: false,
            roles: ['*'],
            hideInMenu: true,
            activeMenu: 'Remit',
          },
        },
        {
          path: 'total',
          name: 'DataTotal',
          component: () => import('@/views/financial/remit/total.vue'),
          meta: {
            locale: 'menu.financial.total',
            requiresAuth: false,
            roles: ['*'],
            hideInMenu: true,
          },
        },
      ],
    },
  ],
};

export default HOME;
