import dayjs from 'dayjs';

//常用的时间添加方案 ranger
export const datePickerRanger = [
  {
    label: '今日',
    value: () => [dayjs(), dayjs()],
  },
  {
    label: '昨日',
    value: () => [dayjs().subtract(1, 'd'), dayjs().subtract(1, 'd')],
  },
  {
    label: '近7日',
    value: () => [dayjs().subtract(7, 'd'), dayjs()],
  },
  {
    label: '本周',
    value: () => [dayjs().startOf('week'), dayjs()],
  },
  {
    label: '本月',
    value: () => [dayjs().startOf('month'), dayjs()],
  },
  {
    label: '上月',
    value: () => [
      dayjs().subtract(1, 'month').startOf('month'),
      dayjs().subtract(1, 'month').endOf('month'),
    ],
  },
];

export const formatDate = (date: any, format: string = 'YYYY-MM-DD') => {
  if (!date || date.length <= 0) return date;
  let newArr = date.map((r) => {
    if (r) r = dayjs(r).format(format);
    return r;
  });
  return newArr.join(',');
};

/**
 * 日期picker range可自定义添加
 * @methods add("本周", [dayjs(), dayjs()])
 * @methods pick(["昨日", "上月"])
 */
/* class RangePicker {
  private config: Record<string, any[]>;

  constructor() {
    this.config = [];
  }

  add(text: string, range: any) {
    //this.config[text] = range;
    this.config.push({
      label: text,
      value: range,
    });
    return this;
  }

  pick(ranger: string[]) {
    range.forEach((r: string) => {
      
    });
  }
} */
